html body .geDiagramContainer, html body div.geMenubarContainer, html body td.mxPopupMenuIcon, html body .geFormatContainer, html body div.geMenubarContainer .geStatus:hover {
	background-color:#2a2a2a;
}
html body.geEditor div.mxPopupMenu {
	border:3px solid #505759;
	background:#2a2a2a;
	box-shadow:none;
}
html .geSidebarContainer button {
	border: 1px solid #505759;
	border-radius: 3px;
}
html body.geEditor div.mxPopupMenu hr {
	background-color:#505759;
}
html body .geTabContainer {
	border-top:1px solid #505759;
	background-color:#2a2a2a;
}
html body .geMenubarContainer .geItem:active, html .geSidebarContainer button:active {
	opacity: 0.7;
}
html body, html body .geFooterContainer, html body #geFooterItem1, html body textarea,
	html body .mxWindowTitle, html body .geDialogTitle, html body .geDialogFooter, select,
	html .geEditor div.mxTooltip, html .geHint
{
	background:#2a2a2a;
	color:#cccccc;
}
html body a {
	color:#337ab7;
}
html body div.mxRubberband {
	border:1px dashed #ffffff !important;
	background:#505759 !important;
}
html body .geTemplate {
	color:#000000;
}
html body .geToolbarContainer, html body .geSidebar, html body .geSidebarContainer .geTitle, html body input,
html body textarea, html body button, html body .geColorBtn, html body .geBaseButton, html body .geSidebarTooltip,
html body .geBaseButton, html .geSidebarContainer button {
	background:#2a2a2a;
	border-color:#505759;
	box-shadow:none;
	color:#cccccc;
}
html body .geSidebarTooltip {
	border:1px solid #505759;
}
html body .geSprite, html body .geSocialFooter img, html body .mxPopupMenuItem>img {
	filter:invert(100%);
}
html body .geFormatContainer {
	background-color:#2a2a2a !important;
	border-left:1px solid #505759;
}
html body .geSidebarFooter {
	border-top:1px solid #505759;
}
html body .geFormatSection {
	border-bottom:1px solid #505759;
	border-color:#505759;
}
html body .geDiagramContainer {
	border-color:#505759;
}
html body .geSidebarContainer a, html body .geMenubarContainer a, html body .geToolbar a {
	color:#cccccc;
}
html body .geMenubarMenu {
	border-color:#505759 !important;
}
html body .geToolbarMenu, html body .geFooterContainer, html body .geFooterContainer td {
	border-color:#505759;
}
html body .geFooterContainer a {
	background-color:none;
}
html body .geFooterContainer td:hover, html body #geFooterItem1:hover {
	background-color:#000000;
}
html body .geSidebarContainer, html body .geDiagramBackdrop {
	background-color:#2a2a2a;
}
html body .geBackgroundPage {
	box-shadow:none;
}
html body .geBtn {
	background:#2a2a2a !important;
	border-color:#505759 !important;
	color: #cccccc !important;
}
html body .gePrimaryBtn {
	background:#505759 !important;
	border-color:#cccccc !important;
	color:#cccccc !important;
}
.gePropHeader, .gePropRow, .gePropRowDark, .gePropRowCell, .gePropRow>.gePropRowCell, .gePropRowAlt>.gePropRowCell, .gePropRowDark>.gePropRowCell, .gePropRowDarkAlt>.gePropRowCell {
	background:#2a2a2a !important;
	border-color:#2a2a2a !important;
	color:#cccccc !important;
	font-weight:normal !important;
}
html body .geBtn:hover {
	background:#000000 !important;
}
html body tr.mxPopupMenuItem {
	color:#cccccc;
}
html body tr.mxPopupMenuItemHover {
	background:#000000;
	color:#cccccc;
}
html body .geSidebarContainer .geTitle:hover, html body .geSidebarContainer .geItem:hover,
html body .geMenubarContainer .geItem:hover, html body .geBaseButton:hover,
html .geSidebarContainer button:hover {
	background:#000000;
}
html body .geToolbarContainer .geSeparator {
	background-color:#505759;
}
html body .geHsplit, html body .geVsplit, html body table.mxPopupMenu hr {
	border-color:#505759;
	background-color:#2a2a2a;
}
html body .geToolbarContainer .geButton:hover, html body .geToolbarContainer .geButton:active,
html body .geToolbarContainer .geLabel:hover, html body .geToolbarContainer .geLabel:active,
html body .geHsplit:hover, html body .geVsplit:hover, html .geSidebarContainer button:active {
	background-color:#000;
}
html body .geToolbar {
	border-color:#505759;
	box-shadow:none;
}
html body .geDialog, html body div.mxWindow {
	background:#2a2a2a;
	border-color:#c0c0c0;
	box-shadow:none;
	color:#cccccc;
}
html body .geActivePage {
	border-bottom: 3px solid #DF6C0C !important;
}
.geHint {
	-webkit-box-shadow: 1px 1px 1px 0px #ccc;
	-moz-box-shadow: 1px 1px 1px 0px #ccc;
	box-shadow: 1px 1px 1px 0px #ccc;
}
html .geEditor ::-webkit-scrollbar-thumb {
	background-color: #505759;
}
html .geEditor ::-webkit-scrollbar-thumb:hover, .geHsplit:hover, .geVsplit:hover {
	background-color:#a0a0a0;
}
html body .geStatusAlert {
	background-color:#a20025;
	border:1px solid #bd002b;
	color:#fff !important;
}
html body .geStatusAlert:hover {
	background-color:#a20025;
	border-color:#bd002b;
}
html body .geCommentContainer {
	background-color: transparent;
	border-width: 1px;
	box-shadow: none;
	color: inherit;
}